Page MenuHomePhabricator

WikibaseQualityConstraints should not construct Wikibase services itself.
Closed, ResolvedPublic5 Story Points

Description

In ServiceWiring.php WikibaseQualityConstraints constructs a WikiPageEntityMetaDataLookup.

WikibaseServices should provide a way for get an pre constructed WikiPageEntityMetaDataLookup and WikibaseQualityConstraints should use that.

The fact that QC creates its own service was missed in some recent changes (and apparently not caught by CI) and caused T206161

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 3 2018, 8:11 PM
Addshore triaged this task as Low priority.Oct 8 2018, 1:00 PM
Addshore moved this task from incoming to ready to go on the Wikidata board.Oct 8 2018, 1:03 PM
Addshore added a subscriber: Tarrow.

@Tarrow and I estimated this just now was a 5 and will bring it into the campsite iteration now

This was already on the campsite iteration, but it was removed when we made it a sub project, so re adding now!

Addshore set the point value for this task to 5.Nov 6 2018, 11:23 AM

Apparently the story points also got lost...

I’m confused by the Wikibase service wiring. For WBQC, we store all services in the MediaWiki service container. Apparently Wikibase doesn’t do that, but has its own container? That seems to complicate the interaction between WBQC and Wikibase :/

Change 473054 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Provide WikiPageEntityMetaDataLookup as a Service

https://gerrit.wikimedia.org/r/473054

Change 473055 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use new Wikibase service instead of recreating it

https://gerrit.wikimedia.org/r/473055

Change 473054 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Provide WikiPageEntityMetaDataLookup as a Service

https://gerrit.wikimedia.org/r/473054

Change 473055 had a related patch set uploaded (by Jforrester; owner: Michael Große):
[mediawiki/extensions/WikibaseQualityConstraints@master] Use new Wikibase service instead of recreating it

https://gerrit.wikimedia.org/r/473055

Change 473055 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Use new Wikibase service instead of recreating it

https://gerrit.wikimedia.org/r/473055